﻿--
-- Script was generated by Devart dbForge Studio 2019 for MySQL, Version 8.2.23.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 01/03/2021 10:15:36
-- Server version: 5.7.30-log
-- Client version: 4.1
--

--
-- Disable foreign keys
--
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */
;

--
-- Set SQL mode
--
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */
;

--
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS ejemploVentas;

CREATE DATABASE IF NOT EXISTS ejemploVentas CHARACTER SET utf8 COLLATE utf8_spanish_ci;

--
-- Set default database
--
USE ejemploVentas;

--
-- Create table `comercial`
--
CREATE TABLE IF NOT EXISTS comercial (
    id int(10) UNSIGNED NOT NULL AUTO_INCREMENT, nombre varchar(100) NOT NULL, apellido1 varchar(100) NOT NULL, apellido2 varchar(100) DEFAULT NULL, comisión float DEFAULT NULL, PRIMARY KEY (id)
) ENGINE = INNODB, AUTO_INCREMENT = 9, AVG_ROW_LENGTH = 2048, CHARACTER SET utf8, COLLATE utf8_spanish_ci;

--
-- Create table `cliente`
--
CREATE TABLE IF NOT EXISTS cliente (
    id int(10) UNSIGNED NOT NULL AUTO_INCREMENT, nombre varchar(100) NOT NULL, apellido1 varchar(100) NOT NULL, apellido2 varchar(100) DEFAULT NULL, ciudad varchar(100) DEFAULT NULL, categoría int(10) UNSIGNED DEFAULT NULL, PRIMARY KEY (id)
) ENGINE = INNODB, AUTO_INCREMENT = 11, AVG_ROW_LENGTH = 1638, CHARACTER SET utf8, COLLATE utf8_spanish_ci;

--
-- Create table `pedido`
--
CREATE TABLE IF NOT EXISTS pedido (
    id int(10) UNSIGNED NOT NULL AUTO_INCREMENT, total double NOT NULL, fecha DATE DEFAULT NULL, id_cliente int(10) UNSIGNED NOT NULL, id_comercial int(10) UNSIGNED NOT NULL, PRIMARY KEY (id)
) ENGINE = INNODB, AUTO_INCREMENT = 17, AVG_ROW_LENGTH = 1024, CHARACTER SET utf8, COLLATE utf8_spanish_ci;

--
-- Create foreign key
--
ALTER TABLE pedido
ADD CONSTRAINT pedido_ibfk_1 FOREIGN KEY (id_cliente) REFERENCES cliente (id);

--
-- Create foreign key
--
ALTER TABLE pedido
ADD CONSTRAINT pedido_ibfk_2 FOREIGN KEY (id_comercial) REFERENCES comercial (id);

--
-- Dumping data for table comercial
--
INSERT INTO
    comercial
VALUES (
        1, 'Daniel', 'Sáez', 'Vega', 0.15
    ),
    (
        2, 'Juan', 'Gómez', 'López', 0.13
    ),
    (
        3, 'Diego', 'Flores', 'Salas', 0.11
    ),
    (
        4, 'Marta', 'Herrera', 'Gil', 0.14
    ),
    (
        5, 'Antonio', 'Carretero', 'Ortega', 0.12
    ),
    (
        6, 'Manuel', 'Domínguez', 'Hernández', 0.13
    ),
    (
        7, 'Antonio', 'Vega', 'Hernández', 0.11
    ),
    (
        8, 'Alfredo', 'Ruiz', 'Flores', 0.05
    );

--
-- Dumping data for table cliente
--
INSERT INTO
    cliente
VALUES (
        1, 'Aarón', 'Rivero', 'Gómez', 'Almería', 100
    ),
    (
        2, 'Adela', 'Salas', 'Díaz', 'Granada', 200
    ),
    (
        3, 'Adolfo', 'Rubio', 'Flores', 'Sevilla', NULL
    ),
    (
        4, 'Adrián', 'Suárez', NULL, 'Jaén', 300
    ),
    (
        5, 'Marcos', 'Loyola', 'Méndez', 'Almería', 200
    ),
    (
        6, 'María', 'Santana', 'Moreno', 'Cádiz', 100
    ),
    (
        7, 'Pilar', 'Ruiz', NULL, 'Sevilla', 300
    ),
    (
        8, 'Pepe', 'Ruiz', 'Santana', 'Huelva', 200
    ),
    (
        9, 'Guillermo', 'López', 'Gómez', 'Granada', 225
    ),
    (
        10, 'Daniel', 'Santana', 'Loyola', 'Sevilla', 125
    );

--
-- Dumping data for table pedido
--
INSERT INTO
    pedido
VALUES (1, 150.5, '2017-10-05', 5, 2),
    (2, 270.65, '2016-09-10', 1, 5),
    (3, 65.26, '2017-10-05', 2, 1),
    (4, 110.5, '2016-08-17', 8, 3),
    (5, 948.5, '2017-09-10', 5, 2),
    (6, 2400.6, '2016-07-27', 7, 1),
    (7, 5760, '2015-09-10', 2, 1),
    (
        8, 1983.43, '2017-10-10', 4, 6
    ),
    (9, 2480.4, '2016-10-10', 8, 3),
    (
        10, 250.45, '2015-06-27', 8, 2
    ),
    (11, 75.29, '2016-08-17', 3, 7),
    (
        12, 3045.6, '2017-04-25', 2, 1
    ),
    (
        13, 545.75, '2019-01-25', 6, 1
    ),
    (
        14, 145.82, '2017-02-02', 6, 1
    ),
    (
        15, 370.85, '2019-03-11', 1, 5
    ),
    (
        16, 2389.23, '2019-03-11', 1, 5
    );

--
-- Restore previous SQL mode
--
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */
;

--
-- Enable foreign keys
--
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */
;